From 303a8089b6a381935b8f0c3fbb3d8ab5f67f96c5 Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Tue, 20 Aug 2013 23:14:21 -0400
Subject: [PATCH] List 5 events on homepage; move navigation / RSS feed links
 for events above "Upcoming Training"

---
 pgweb/core/views.py  |  2 +-
 templates/index.html | 28 ++++++++++++++--------------
 2 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/pgweb/core/views.py b/pgweb/core/views.py
index 026fd1c..fd74a19 100644
--- a/pgweb/core/views.py
+++ b/pgweb/core/views.py
@@ -37,7 +37,7 @@ from django.template.context import RequestContext
 @cache(minutes=10)
 def home(request):
 	news = NewsArticle.objects.filter(approved=True)[:5]
-	events = Event.objects.select_related('country').filter(approved=True, training=False, enddate__gte=date.today).order_by('enddate', 'startdate')[:3]
+	events = Event.objects.select_related('country').filter(approved=True, training=False, enddate__gte=date.today).order_by('enddate', 'startdate')[:5]
 	try:
 		quote = Quote.objects.filter(approved=True).order_by('?')[0]
 	except:
diff --git a/templates/index.html b/templates/index.html
index b930396..891f006 100644
--- a/templates/index.html
+++ b/templates/index.html
@@ -151,6 +151,20 @@
             </p>
            {% endfor %}
            </div>
+           <div style="margin-bottom: 10px;">
+             <img class="pgArrowImage" src="/media/img/layout/blt_blu_arrow.png" width="6" height="5" alt="" />
+             <ul class="pgRSSBottomList">
+               <li>
+                 <a href="/about/events/" title="More Events">More</a>
+               </li>
+               <li>
+                <a href="/account/events/new/">Submit Event</a>
+               </li>
+               <li class="last-child">
+                <a href="/events.rss" title="Events RSS Feed"><img class="pgRSSImage" src="/media/img/misc/ico_rss.png" width="28" height="13" alt="Events RSS Feed" /></a>
+               </li>
+             </ul>
+           </div>
            <a href="/about/events/">
            <img src="/media/img/hdr/hdr_upcomingtraining.png" width="140" height="10" alt="Upcoming training" />
            </a>
@@ -171,20 +185,6 @@
               There are no training events currently scheduled.
              {%endif%}
             </div>
-             <div>
-               <img class="pgArrowImage" src="/media/img/layout/blt_blu_arrow.png" width="6" height="5" alt="" />
-               <ul class="pgRSSBottomList">
-                 <li>
-                   <a href="/about/events/" title="More Events">More</a>
-                 </li>
-                 <li>
-                  <a href="/account/events/new/">Submit Event</a>
-                 </li>
-                 <li class="last-child">
-                  <a href="/events.rss" title="Events RSS Feed"><img class="pgRSSImage" src="/media/img/misc/ico_rss.png" width="28" height="13" alt="Events RSS Feed" /></a>
-                 </li>
-               </ul>
-             </div>
            </div> <!-- pgNewsEventsWrap -->
          </div> <!-- pgFrontEvent -->
         </div> <!-- pgFrontBottomContainer -->
-- 
1.7.12.4 (Apple Git-37)

